# -*- coding: utf-8 -*-

import json

import click

from em_tasks.store.store_util import StoreUtil
from em_tasks.tasks.bing_auth import BingAuth
from em_tasks.store.models import *

from em_celery import logger, init_db


@click.command('Auth Bing Ads')
@click.option('-a', '--account_id', required=True, type=str)
@click.option('-v', '--version', type=int, default=13, help='Bing Ads API version.')
def auth_bing(account_id, version=13):
  init_db()

  task = BingAuth(account_id, version=version)
  task.run()


if __name__ == "__main__":
  auth_bing()
